Package org.drinkless.tdlib

# Class TdApi.Supergroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Supergroup

Enclosing class:
  `TdApi`

public static class TdApi.Supergroup extends TdApi.Object
Represents a supergroup or channel with zero or more members (subscribers in the case of channels). From the point of view of the system, a channel is a special kind of a supergroup: only administrators can post and see the list of members, and posts from all administrators use the name and photo of the channel instead of individual names and profile photos. Unlike supergroups, channels can have an unlimited number of subscribers.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ActiveStoryState`
  `activeStoryState`
  State of active stories of the supergroup or channel; may be null if there are no active stories.
  `int`
  `boostLevel`
  Approximate boost level for the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the current user joined, or the point in time when the supergroup or channel was created, in case the user is not a member.
  `boolean`
  `hasAutomaticTranslation`
  True, if automatic translation of messages is enabled in the channel.
  `boolean`
  `hasDirectMessagesGroup`
  True, if the channel has direct messages group.
  `boolean`
  `hasForumTabs`
  True, if the supergroup is a forum, which topics are shown in the same way as in channel direct messages groups.
  `boolean`
  `hasLinkedChat`
  True, if the channel has a discussion group, or the supergroup is the designated discussion group for a channel.
  `boolean`
  `hasLocation`
  True, if the supergroup is connected to a location, i.e.
  `long`
  `id`
  Supergroup or channel identifier.
  `boolean`
  `isAdministeredDirectMessagesGroup`
  True, if the supergroup is a direct messages group for a channel chat that is administered by the current user.
  `boolean`
  `isBroadcastGroup`
  True, if the supergroup is a broadcast group, i.e.
  `boolean`
  `isChannel`
  True, if the supergroup is a channel.
  `boolean`
  `isDirectMessagesGroup`
  True, if the supergroup is a direct message group for a channel chat.
  `boolean`
  `isForum`
  True, if the supergroup is a forum with topics.
  `boolean`
  `isSlowModeEnabled`
  True, if the slow mode is enabled in the supergroup.
  `boolean`
  `joinByRequest`
  True, if all users directly joining the supergroup need to be approved by supergroup administrators.
  `boolean`
  `joinToSendMessages`
  True, if users need to join the supergroup before they can send messages.
  `int`
  `memberCount`
  Number of members in the supergroup or channel; 0 if unknown.
  `long`
  `paidMessageStarCount`
  Number of Telegram Stars that must be paid by non-administrator users of the supergroup chat for each sent message.
  `TdApi.RestrictionInfo`
  `restrictionInfo`
  Information about the restrictions that must be applied to the corresponding supergroup or channel chat; may be null if none.
  `boolean`
  `showMessageSender`
  True, if messages sent to the channel have information about the sender user.
  `boolean`
  `signMessages`
  True, if messages sent to the channel contains name of the sender.
  `TdApi.ChatMemberStatus`
  `status`
  Status of the current user in the supergroup or channel.
  `TdApi.Usernames`
  `usernames`
  Usernames of the supergroup or channel; may be null.
  `TdApi.VerificationStatus`
  `verificationStatus`
  Information about verification status of the supergroup or channel; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Supergroup()`
  Represents a supergroup or channel with zero or more members (subscribers in the case of channels).
  `Supergroup(long id, TdApi.Usernames usernames, int date, TdApi.ChatMemberStatus status, int memberCount, int boostLevel, boolean hasAutomaticTranslation, boolean hasLinkedChat, boolean hasLocation, boolean signMessages, boolean showMessageSender, boolean joinToSendMessages, boolean joinByRequest, boolean isSlowModeEnabled, boolean isChannel, boolean isBroadcastGroup, boolean isForum, boolean isDirectMessagesGroup, boolean isAdministeredDirectMessagesGroup, TdApi.VerificationStatus verificationStatus, boolean hasDirectMessagesGroup, boolean hasForumTabs, TdApi.RestrictionInfo restrictionInfo, long paidMessageStarCount, TdApi.ActiveStoryState activeStoryState)`
  Represents a supergroup or channel with zero or more members (subscribers in the case of channels).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Supergroup or channel identifier.

  - ### usernames

    @Nullable public TdApi.Usernames usernames
    Usernames of the supergroup or channel; may be null.

  - ### date

    public int date
    Point in time (Unix timestamp) when the current user joined, or the point in time when the supergroup or channel was created, in case the user is not a member.

  - ### status

    public TdApi.ChatMemberStatus status
    Status of the current user in the supergroup or channel.

  - ### memberCount

    public int memberCount
    Number of members in the supergroup or channel; 0 if unknown. Currently, it is guaranteed to be known only if the supergroup or channel was received through getChatSimilarChats, getChatsToPostStories, getCreatedPublicChats, getGroupsInCommon, getInactiveSupergroupChats, getRecommendedChats, getSuitableDiscussionChats, getUserPrivacySettingRules, getVideoChatAvailableParticipants, searchPublicChats, or in chatFolderInviteLinkInfo.missingChatIds, or in userFullInfo.personalChatId, or for chats with messages or stories from publicForwards and foundStories.

  - ### boostLevel

    public int boostLevel
    Approximate boost level for the chat.

  - ### hasAutomaticTranslation

    public boolean hasAutomaticTranslation
    True, if automatic translation of messages is enabled in the channel.

  - ### hasLinkedChat

    public boolean hasLinkedChat
    True, if the channel has a discussion group, or the supergroup is the designated discussion group for a channel.

  - ### hasLocation

    public boolean hasLocation
    True, if the supergroup is connected to a location, i.e. the supergroup is a location-based supergroup.

  - ### signMessages

    public boolean signMessages
    True, if messages sent to the channel contains name of the sender. This field is only applicable to channels.

  - ### showMessageSender

    public boolean showMessageSender
    True, if messages sent to the channel have information about the sender user. This field is only applicable to channels.

  - ### joinToSendMessages

    public boolean joinToSendMessages
    True, if users need to join the supergroup before they can send messages. May be false only for discussion supergroups and channel direct messages groups.

  - ### joinByRequest

    public boolean joinByRequest
    True, if all users directly joining the supergroup need to be approved by supergroup administrators. May be true only for non-broadcast supergroups with username, location, or a linked chat.

  - ### isSlowModeEnabled

    public boolean isSlowModeEnabled
    True, if the slow mode is enabled in the supergroup.

  - ### isChannel

    public boolean isChannel
    True, if the supergroup is a channel.

  - ### isBroadcastGroup

    public boolean isBroadcastGroup
    True, if the supergroup is a broadcast group, i.e. only administrators can send messages and there is no limit on the number of members.

  - ### isForum

    public boolean isForum
    True, if the supergroup is a forum with topics.

  - ### isDirectMessagesGroup

    public boolean isDirectMessagesGroup
    True, if the supergroup is a direct message group for a channel chat.

  - ### isAdministeredDirectMessagesGroup

    public boolean isAdministeredDirectMessagesGroup
    True, if the supergroup is a direct messages group for a channel chat that is administered by the current user.

  - ### verificationStatus

    @Nullable public TdApi.VerificationStatus verificationStatus
    Information about verification status of the supergroup or channel; may be null if none.

  - ### hasDirectMessagesGroup

    public boolean hasDirectMessagesGroup
    True, if the channel has direct messages group.

  - ### hasForumTabs

    public boolean hasForumTabs
    True, if the supergroup is a forum, which topics are shown in the same way as in channel direct messages groups.

  - ### restrictionInfo

    @Nullable public TdApi.RestrictionInfo restrictionInfo
    Information about the restrictions that must be applied to the corresponding supergroup or channel chat; may be null if none.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    Number of Telegram Stars that must be paid by non-administrator users of the supergroup chat for each sent message.

  - ### activeStoryState

    @Nullable public TdApi.ActiveStoryState activeStoryState
    State of active stories of the supergroup or channel; may be null if there are no active stories.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Supergroup

    public Supergroup()
    Represents a supergroup or channel with zero or more members (subscribers in the case of channels). From the point of view of the system, a channel is a special kind of a supergroup: only administrators can post and see the list of members, and posts from all administrators use the name and photo of the channel instead of individual names and profile photos. Unlike supergroups, channels can have an unlimited number of subscribers.

  - ### Supergroup

    public Supergroup(long id, TdApi.Usernames usernames, int date, TdApi.ChatMemberStatus status, int memberCount, int boostLevel, boolean hasAutomaticTranslation, boolean hasLinkedChat, boolean hasLocation, boolean signMessages, boolean showMessageSender, boolean joinToSendMessages, boolean joinByRequest, boolean isSlowModeEnabled, boolean isChannel, boolean isBroadcastGroup, boolean isForum, boolean isDirectMessagesGroup, boolean isAdministeredDirectMessagesGroup, TdApi.VerificationStatus verificationStatus, boolean hasDirectMessagesGroup, boolean hasForumTabs, TdApi.RestrictionInfo restrictionInfo, long paidMessageStarCount, TdApi.ActiveStoryState activeStoryState)
    Represents a supergroup or channel with zero or more members (subscribers in the case of channels). From the point of view of the system, a channel is a special kind of a supergroup: only administrators can post and see the list of members, and posts from all administrators use the name and photo of the channel instead of individual names and profile photos. Unlike supergroups, channels can have an unlimited number of subscribers.
    Parameters:
      `id` - Supergroup or channel identifier.
      `usernames` - Usernames of the supergroup or channel; may be null.
      `date` - Point in time (Unix timestamp) when the current user joined, or the point in time when the supergroup or channel was created, in case the user is not a member.
      `status` - Status of the current user in the supergroup or channel.
      `memberCount` - Number of members in the supergroup or channel; 0 if unknown. Currently, it is guaranteed to be known only if the supergroup or channel was received through getChatSimilarChats, getChatsToPostStories, getCreatedPublicChats, getGroupsInCommon, getInactiveSupergroupChats, getRecommendedChats, getSuitableDiscussionChats, getUserPrivacySettingRules, getVideoChatAvailableParticipants, searchPublicChats, or in chatFolderInviteLinkInfo.missingChatIds, or in userFullInfo.personalChatId, or for chats with messages or stories from publicForwards and foundStories.
      `boostLevel` - Approximate boost level for the chat.
      `hasAutomaticTranslation` - True, if automatic translation of messages is enabled in the channel.
      `hasLinkedChat` - True, if the channel has a discussion group, or the supergroup is the designated discussion group for a channel.
      `hasLocation` - True, if the supergroup is connected to a location, i.e. the supergroup is a location-based supergroup.
      `signMessages` - True, if messages sent to the channel contains name of the sender. This field is only applicable to channels.
      `showMessageSender` - True, if messages sent to the channel have information about the sender user. This field is only applicable to channels.
      `joinToSendMessages` - True, if users need to join the supergroup before they can send messages. May be false only for discussion supergroups and channel direct messages groups.
      `joinByRequest` - True, if all users directly joining the supergroup need to be approved by supergroup administrators. May be true only for non-broadcast supergroups with username, location, or a linked chat.
      `isSlowModeEnabled` - True, if the slow mode is enabled in the supergroup.
      `isChannel` - True, if the supergroup is a channel.
      `isBroadcastGroup` - True, if the supergroup is a broadcast group, i.e. only administrators can send messages and there is no limit on the number of members.
      `isForum` - True, if the supergroup is a forum with topics.
      `isDirectMessagesGroup` - True, if the supergroup is a direct message group for a channel chat.
      `isAdministeredDirectMessagesGroup` - True, if the supergroup is a direct messages group for a channel chat that is administered by the current user.
      `verificationStatus` - Information about verification status of the supergroup or channel; may be null if none.
      `hasDirectMessagesGroup` - True, if the channel has direct messages group.
      `hasForumTabs` - True, if the supergroup is a forum, which topics are shown in the same way as in channel direct messages groups.
      `restrictionInfo` - Information about the restrictions that must be applied to the corresponding supergroup or channel chat; may be null if none.
      `paidMessageStarCount` - Number of Telegram Stars that must be paid by non-administrator users of the supergroup chat for each sent message.
      `activeStoryState` - State of active stories of the supergroup or channel; may be null if there are no active stories.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR